#filter-panel {
  position: fixed;
  left: -100%;
  top: 0;
  width: 300px;
  height: 100%;
  background: #F6F4F4;
  z-index: 999;
  transition: left 0.3s ease;
  overflow-y: auto;
  padding: 20px;
  box-shadow: 4px 0 10px rgba(0,0,0,0.1);
      width: 596px;
    padding: 52px;
    transition: all 1s ease-in-out;
}
#filter-panel.open {
  left: 0;
}
div#filter-panel-overlay {
    z-index: 999;
    background-color: rgba(60, 65, 72, 0.55686);
    opacity: 0;
    transition: all 1s ease-in-out;
    width: 100vw;
    height: 100vh;
    position: fixed;
    left: -100%;
    top: 0;
}

div#filter-panel-overlay.open {
    opacity: 0.5;
    left: 0;
}
.filter-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.filter-section {
    margin: 0 0 24px;
    border-bottom: 1px solid var(--primary-200, #D0C8C4);
    padding-bottom: 8px;
}
.checkbox-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}
.checkbox-grid label {
    color: #212121;
    text-align: left;
    font-family: "Degular Demo";
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    font-family: "Degular Demo", Sans-serif;
    margin-bottom: 16px;
    display: flex;
    align-items: center;
}
.checkbox-grid label input[type="checkbox"] {
    appearance: none;      /* modern browsers */
    -webkit-appearance: none;  /* Safari */
    -moz-appearance: none;     /* Firefox */
    border-radius: 4px;
    border: 1px solid #534842;
    background: #F6F4F4;
    width: 16px;
    height: 16px;
    margin-right: 8px;
}
.checkbox-grid label input[type="checkbox"]:checked {
    background: red;
    background: url(/wp-content/themes/pinta/images/_checkboxbase.png);
    background-position: center;
}
.filter-section h4 {
    color: #534842;
    text-align: left;
    font-family: "TT Interphases Pro Trl";
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    font-family: "TT Interphases Pro Trl", Sans-serif;
    margin: 0 0 20px;
}
.selected-filter {
  display: inline-block;
  background: #f0f0f0;
  padding: 5px 10px;
  margin: 0 5px 5px 0;
  border-radius: 20px;
  font-size: 12px;
  cursor: pointer;
}

.filter-header span {
    color: #534842;
    text-align: center;
    font-family: "Degular Demo";
    font-size: 32px;
    font-style: normal;
    font-weight: 700;
    line-height: 44px;
    letter-spacing: 1px;
    font-family: "Degular Demo", Sans-serif;
        display: flex;
    align-items: center;
}
.filter-header span svg {
    margin: 0 20px 0 0px;
}
.filters-heading {
    padding: 48px 0 24px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid #D0C8C4;
    margin-bottom: 24px;
}


.filters-heading h6 {
    color: #212121;
    text-align: center;
    font-family: "TT Interphases Pro Trl";
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px;
    margin: 0;
    font-family: "TT Interphases Pro Trl", Sans-serif;
}
button#close-filter {
    padding: 0;
    background: transparent;
    border: 0;
    cursor: pointer;
}
#selected-filters {
  margin-top: 10px;
}

#clear-all {
    background: red;
    color: #fff;
    border-radius: 3px;
    padding: 5px 8px;
    font-size: 12px;
    cursor: pointer;
    color: #534842;
    text-align: center;
    font-family: "Degular Demo";
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 20px;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: auto;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
    font-family: "Degular Demo", Sans-serif;
    background: transparent;
    padding: 0;
    border: 0;
}
.filter-btn {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 10px;
}
.count-badge {
  background: black;
  color: white;
  font-size: 12px;
  padding: 2px 6px;
  border-radius: 12px;
}



.product-row.row-normal, .product-row.row-reverse {
  width: 100%;
  display: flex;
  gap: 20px;
      justify-content: start;
}

.product-row .product-col.col-large {
  width: 70%;
}
.product-row.product-col.col-small{
  width: 30%;
}

.product-row .product-col.col-small {
    width: calc(30% - 20px);
}
.product-row.row-reverse {
    flex-direction: row-reverse;
}


.custom-product-wrapper .product-link {
    display: inline-block;
    text-decoration: none;
    width: 100%;
        overflow: hidden;
}

.product-row.row-normal .image-wrapper, .product-row.row-reverse .image-wrapper {
  width: 100%;
      position: relative;
}
.product-row.row-normal .image-wrapper img:nth-child(1), .product-row.row-reverse .image-wrapper img:nth-child(1) {
    width: 50%;
    height: 350px;
    position: absolute;
    left: 0;
    top: 0;
	display: block;
	transition: all .5s ease-in-out;
	z-index: 9;
	object-fit: cover;
	width: 190px;
	transition: all 0.75s ease-in-out;
}

.product-row.row-normal .col-small .image-wrapper img:nth-child(1), .product-row.row-reverse .col-small .image-wrapper img:nth-child(1) {
    width: 190px;
}
.product-row.row-normal .image-wrapper img:nth-child(2), .product-row.row-reverse .image-wrapper img:nth-child(2) {
  width: 100%;
  height: 350px;
      transition: all .5s ease-in-out;
}

.product-row.row-normal .product-link:hover .image-wrapper img:nth-child(1), .product-row.row-reverse .product-link:hover .image-wrapper img:nth-child(1) {
    width: 50%;
}

.product-row.row-normal .product-link:hover .image-wrapper img:nth-child(2), .product-row.row-reverse .product-link:hover .image-wrapper img:nth-child(2) {
    transform: translate(30px, 0px);
}


#product-search {
  padding: 6px 12px;
  font-size: 14px;
  border: 1px solid #ccc;
  margin-left: 10px;
}


.search-dropdown {
    position: absolute;
    background: rgb(241, 244, 249);
    border: 0 solid #fff;
    max-width: calc(100% - 360px);
    width: 100%;
    max-height: 200px;
    overflow-y: auto;
    z-index: 1000;
    display: none;
    /* left: 0 !important; */
    box-sizing: border-box;
    width: 100%;
    top: 50px !important;
    left: 145px !important;
}


.search-dropdown a {
    display: block;
    padding: 14px 12px;
    text-decoration: none;
    color: #333;
    color: rgb(34, 34, 32);
    font-size: 12px;
    line-height: 20px;
    border-bottom: 1px solid #fff;
}
.search-dropdown a:hover {
  background: #f0f0f0;
}

.search-dropdown .no-results {
  padding: 8px 12px;
  color: #999;
}

.search-wrapper {
  position: relative;
  display: inline-block;
}

#product-search {
  padding: 6px 30px 6px 12px;
  font-size: 14px;
  border: 1px solid #ccc;
}

#clear-search {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 18px;
  color: #999;
}



#product-loop-container .loader {
    font-size: 18px;
    font-weight: 500;
    color: #555;
    /* background-color: #fff; */
    padding: 146px 24px;
    /* border: 1px solid #e0e0e0; */
    border-radius: 8px;
    /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05); */
    animation: fadeIn 0.4s ease-in-out;
    text-align: center;
    font-size: 44px;
    margin-bottom: 40px;
    display: inline-block;
    width: 100%;
}

/* Optional animation */
@keyframes fadeIn {
  from { opacity: 0; transform: translateY(10px); }
  to { opacity: 1; transform: translateY(0); }
}


.sort-dropdown {
  margin-left: 10px;
  padding: 6px 10px;
  font-size: 14px;
}
.loader-spinner {
  display: flex;
  align-items: center;
  justify-content: center;
  /* height: 100vh; */ /* Full screen height */
  background-color: #e4e6df00; /* Optional: add background */
  z-index: 9999;
  /* position: fixed; */
  top: 0;
  left: 0;
  width: 100%;
}
 
.loader-spinner img {
  width: 100px;      /* Adjust size as needed */
  height: 100px;
  animation: pulse .8s infinite ease-in-out;
  background: #fff;
  padding: 10px;
  margin: 0 0 20px;
  border-radius: 10px;
}
 
/* Optional animation effect */
@keyframes pulse {
  0%, 100% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.05);
    opacity: 0.8;
  }
}

@media (max-width: 1399px) {


.product-row.row-normal .col-small .product-link:hover .image-wrapper img:nth-child(1), .product-row.row-reverse .col-small .product-link:hover .image-wrapper img:nth-child(1) {
    width: 200px;
}
}

@media (max-width: 1299px) {

.search-dropdown{
top: 50px !important;
left: 90px !important;
max-width: calc(100% - 120px);

}
.filter-top-bar {
    flex-wrap: wrap;
}

    .filter-top-bar .filter-btn {
        min-width: 60px;
        justify-content: center;
    }


.filter-top-bar .search-wrapper {
    max-width: calc(100% - 60px);
    border: 0;
}

.filter-top-bar .sort-dropdown {
        width: 100%;
        text-align: left;
        border-top: 1px solid #D0C8C4;
        margin: 0;
        background: url(/wp-content/themes/pinta/images/sort-icon.png);
        background-repeat: no-repeat;
        background-position: 97% center;
        appearance: none;
}

.filter-top-bar .filter-btn > div, .filter-top-bar .filter-btn span.count-badge {
    display: none !important;
}

.filter-top-bar .filter-btn span.filter-icon {
    margin: 0;
}
}

@media (max-width: 1099px) {

.product-row.row-normal .col-small .image-wrapper img:nth-child(1), .product-row.row-reverse .col-small .image-wrapper img:nth-child(1), .product-row.row-normal .image-wrapper img:nth-child(1), .product-row.row-reverse .image-wrapper img:nth-child(1){
        width: 250px;
}

.product-row.row-normal .product-link:hover .image-wrapper img:nth-child(2), .product-row.row-reverse .product-link:hover .image-wrapper img:nth-child(2) {
    transform: translate(0px, 0px);
}
	.product-row.row-normal .image-wrapper img:nth-child(1), .product-row.row-reverse .image-wrapper img:nth-child(1),
	.product-row.row-normal .image-wrapper img:nth-child(2), .product-row.row-reverse .image-wrapper img:nth-child(2) {
	    height: 200px;
	}
	
.custom-product-wrapper h4.product-title {
    font-size: 18px;
    line-height: 1.2;
    margin-top: 5px;
}
}
@media (max-width: 1024px) {

.product-listing-page {
    margin-top: 46px;
    }
}
@media (max-width: 768px) {
	.product-row .product-col.col-large,
	.product-row .product-col.col-small{
	    width: 100%;
	}

	.product-row.row-normal, .product-row.row-reverse {
	    flex-wrap: wrap;
	    gap: 0;
	}
	.product-row.row-normal .image-wrapper img:nth-child(1), .product-row.row-reverse .image-wrapper img:nth-child(1),
	.product-row.row-normal .image-wrapper img:nth-child(2), .product-row.row-reverse .image-wrapper img:nth-child(2) {
	    height: 250px;
	}
	.custom-product-wrapper h4.product-title {
	    margin-top: 5px;
	    font-size: 16px;
	    line-height: 1.3;
	}	
	#filter-panel{
		width: 100%;
	    padding: 2rem;
	}
	
.filter-header {
    position: sticky;
    top: -32px;
    background: #F6F4F4;
    margin-top: -32px;
    padding-top: 32px;
}
	
	
}
@media (max-width: 767px) {
    .product-listing-page {
        margin-top: -1px;
    }
}
